matroxset(1)

NAME
matroxset - switch the output mode of Matrox video cards

SYNOPSIS
   matroxset [OPTIONS] [VALUE]

OPTIONS

-c  Get/set control value.

-e  Edit controls interactively.

-f DEVICE
    Manipulate the frame buffer DEVICE (default is /dev/fb1).

-l  List controls

-m  Connect this frame buffer to the outputs specified in VALUE (0 is none, 1 is primary, 2 is secondary, 4 is digital flat panel; these values may be summed for multiple outputs).

-o OUTPUT
    Set OUTPUT (0 is primary, 1 is secondary, default is 1) to the output mode VALUE (128 is monitor, 1 is PAL TV, 2 is NTSC TV).

-p  Display information about blanking.

DESCRIPTION
Output Matrox card video to television. PAL 50Hz and NTSC 59.94Hz are supported, Composite and S-Video output.

Contains two demo programs, normal and swapped. First selects CRTC1 on first output and CRTC2 on second one. Swapped connects CRTC1 to secondary head and CRTC2 to primary head. You can use these programs if you need text mode or 8bpp mode on TV, as CRTC2 is incapable of these modes.

In program call, If VALUE is specified, set the specified option to VALUE. If VALUE is not specified, retrieve the value of the specified option.

For technical information, see TV-out on the G450 at <http://www.bglug.ca/matrox_tvout>. See also "Matrox Marvel" tips for G200, G400 at <http://marvel.sourceforge.net/>. Matrox frame buffer headers at /usr/include/linux/matroxfb.h

ENVIRONMENT
None.

FILES
None.

SEE ALSO
directvnc(1) fbdev(4) fbgrab(1) fbset(1) fbterm(1) Xvfb(1)

AUTHORS
Program was written by Petr Vandrovec <vandrove@vc.cvut.cz>.

This manual page was written by Shaun Jackman <sjackman@debian.org>, for the Debian GNU system (but may be used by others). Updated by Jari Aalto <jari.aalto@cante.net>. Released under license GNU GPL v2 or (at your option) any later version. For more information about license, visit <http://www.gnu.org/copyleft/gpl.html>.